<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Exploring United Nations Refugee &amp; Asylum Data With the <em>untools</em> Package • untools</title>
<!-- favicons --><link rel="icon" type="image/png" sizes="16x16" href="../favicon-16x16.png">
<link rel="icon" type="image/png" sizes="32x32" href="../favicon-32x32.png">
<link rel="apple-touch-icon" type="image/png" sizes="180x180" href="../apple-touch-icon.png">
<link rel="apple-touch-icon" type="image/png" sizes="120x120" href="../apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" type="image/png" sizes="76x76" href="../apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" type="image/png" sizes="60x60" href="../apple-touch-icon-60x60.png">
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script><!-- Bootstrap --><link href="https://cdnjs.cloudflare.com/ajax/libs/bootswatch/3.3.7/flatly/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script><!-- sticky kit --><script src="https://cdnjs.cloudflare.com/ajax/libs/sticky-kit/1.1.3/sticky-kit.min.js" integrity="sha256-c4Rlo1ZozqTPE2RLuvbusY3+SU1pQaJC0TjuhygMipw=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Exploring United Nations Refugee &amp; Asylum Data With the &lt;em&gt;untools&lt;/em&gt; Package">
<meta property="og:description" content="">
<meta property="og:image" content="/logo.png">
<meta name="twitter:card" content="summary">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body>
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">untools</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.1.0</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fa fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/explore-unhcr.html">Exploring United Nations Refugee &amp; Asylum Data With the *untools* Package</a>
    </li>
    <li>
      <a href="../articles/explore-unstocks.html">Exploring United Nations Migrant Stock Data With the *untools* Package</a>
    </li>
  </ul>
</li>
<li>
  <a href="../news/index.html">Changelog</a>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right">
<li>
  <a href="https://gitlab.com/dante-sttr/untools">
    <span class="fa fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      
      </header><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1>Exploring United Nations Refugee &amp; Asylum Data With the <em>untools</em> Package</h1>
                        <h4 class="author">Joshua Brinks</h4>
            
            <h4 class="date">2019-05-16</h4>
      
      
      <div class="hidden name"><code>explore-unhcr.Rmd</code></div>

    </div>

    
    
<hr>
<div id="introduction" class="section level1">
<h1 class="hasAnchor">
<a href="#introduction" class="anchor"></a>Introduction</h1>
<p><img src="logo.png" align="right" height="125"></p>
<p>The Office of the United Nations High Commissioner for Refugees (UNHCR) provides several data sets describing annual movements of populations of concern. These include asylum seekers, refugees, internally displaced persons (IDP), returned refugees, returned IDP, and stateless persons. The <a href="http://popstats.unhcr.org/en/overview">Population Statistics</a> web portal serves as a central hub for several data sets summarizing the aforementioned populations by year, month, gender, age, origin, and destination. Today we will be summarizing and exploring the <a href="http://popstats.unhcr.org/en/time_series/https://goo.gl/VNuKbU">Time Series</a> dataset. This dataset consists of annual dyadic flows for all populations of concern between countries of origin (citizenship) and countries of destination (asylum/residency). Although the earliest years of record are 1951, exhibit caution when performin analysis and causal inference for years prior to 1990.</p>
</div>
<div id="exploring-the-data" class="section level1">
<h1 class="hasAnchor">
<a href="#exploring-the-data" class="anchor"></a>Exploring the Data</h1>
<p>The Populations of Concern dataset can be acquired directly using the <code><a href="../reference/getunref.html">getunref()</a></code> function from the <code>untools</code> package. You can install the current release of <code>untools</code> from GitLab with the <code>devtools</code> package.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb1-1" data-line-number="1">devtools<span class="op">::</span><span class="kw"><a href="https://www.rdocumentation.org/packages/devtools/topics/reexports">install_gitlab</a></span>(<span class="st">"/dante-sttr/untools"</span>)</a></code></pre></div>
<p>In addition to the <code><a href="../reference/unref.html">unref()</a></code> function, the dataset is available for download <a href="http://popstats.unhcr.org/en/time_series">here</a>. The Time Series dataset is one of the cleanest data sets provided by the UNHCR, however, it might be challenging for a beginning programmer. Moreover, the country and territory names are not matched up with any country code scheme that would facilitate easy merging with additional data sets. Under the DANTE project, we have developed some tools to streamline the processing and visualization of the Time Series dataset.</p>
<p>Once you’ve acquired the data, assign it an object and view the structure.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb2-1" data-line-number="1"><span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/library">library</a></span>(<span class="st">'data.table'</span>)</a>
<a class="sourceLine" id="cb2-2" data-line-number="2"><span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/library">library</a></span>(<span class="st">'untools'</span>)</a>
<a class="sourceLine" id="cb2-3" data-line-number="3">unhcr.ts&lt;-<span class="kw"><a href="../reference/getunref.html">getunref</a></span>()</a></code></pre></div>
<table class="table">
<thead><tr>
<th style="text-align:left;">
Year
</th>
<th style="text-align:left;">
Country / territory of asylum/residence
</th>
<th style="text-align:left;">
Origin
</th>
<th style="text-align:left;">
Population type
</th>
<th style="text-align:left;">
Value
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Australia
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
180000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Austria
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
282000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Belgium
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
55000
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
Canada
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
168511
</td>
</tr>
<tr>
<td style="text-align:left;">
1951
</td>
<td style="text-align:left;">
China, Hong Kong SAR
</td>
<td style="text-align:left;">
Various/Unknown
</td>
<td style="text-align:left;">
Refugees (incl. refugee-like situations)
</td>
<td style="text-align:left;">
30000
</td>
</tr>
</tbody>
</table>
<p>It is a fairly simple dataset, consisting of year, country of origin, destination country, population type, and number of migrants, but some of the naming conventions are cumbersome for an analysis environment. They contain special characters, mixed capitalization, and long titles.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb3-1" data-line-number="1"><span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/names">names</a></span>(unhcr.ts)</a></code></pre></div>
<pre><code>## [1] "Year"                                   
## [2] "Country / territory of asylum/residence"
## [3] "Origin"                                 
## [4] "Population type"                        
## [5] "Value"</code></pre>
<p>The descriptions of populations of concern have similar annoyances:</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb5-1" data-line-number="1"><span class="kw"><a href="https://www.rdocumentation.org/packages/data.table/topics/duplicated">unique</a></span>(unhcr.ts<span class="op">$</span><span class="st">`</span><span class="dt">Population type</span><span class="st">`</span>)</a></code></pre></div>
<pre><code>## [1] "Refugees (incl. refugee-like situations)"
## [2] "Returned refugees"                       
## [3] "Internally displaced persons"            
## [4] "Returned IDPs"                           
## [5] "Others of concern"                       
## [6] "Asylum-seekers"                          
## [7] "Stateless persons"</code></pre>
</div>
<div id="untools-functions-for-unhcr-data" class="section level1">
<h1 class="hasAnchor">
<a href="#untools-functions-for-unhcr-data" class="anchor"></a><em>untools</em> Functions for UNHCR Data</h1>
<div id="the-unref-function" class="section level2">
<h2 class="hasAnchor">
<a href="#the-unref-function" class="anchor"></a>The <em>unref</em> Function</h2>
<p>The <code>untools</code> package provides several functions for processing and visualizing UNHCR data. The <code><a href="../reference/unref.html">unref()</a></code> function will help process raw UNHCR time series data by simplifying the naming structures, converting to wide or long form, selcting years of specific interest, selecting effected populations of interest, summing across groups, and rectifying country codes with ISO standards. Using <code><a href="../reference/unref.html">unref()</a></code> with no additional parameters simplifies the naming structure for column headings population types, and adds columns for ISO3 character country codes.</p>
<div class="sourceCode" id="cb7"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb7-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts)</a></code></pre></div>
<table class="table">
<thead><tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
type
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1993
</td>
<td style="text-align:right;">
15000
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1994
</td>
<td style="text-align:right;">
332200
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
159600
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1996
</td>
<td style="text-align:right;">
273840
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1997
</td>
<td style="text-align:right;">
296795
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>There are several records with <code>Various/Unknown</code> as the country of origin. While these are not trivial, for this analysis we will focus on known dyadic flows between countries.</p>
<div class="sourceCode" id="cb8"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb8-1" data-line-number="1">unhcr.ts.dante&lt;-unhcr.ts.dante[<span class="op">!</span>(origin<span class="op">==</span><span class="st">'Various/Unknown'</span>)]</a></code></pre></div>
<table class="table">
<thead><tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
type
</th>
<th style="text-align:right;">
year
</th>
<th style="text-align:right;">
value
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
</tr></thead>
<tbody>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1993
</td>
<td style="text-align:right;">
15000
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1994
</td>
<td style="text-align:right;">
332200
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1995
</td>
<td style="text-align:right;">
159600
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1996
</td>
<td style="text-align:right;">
273840
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
<tr>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
AFG
</td>
<td style="text-align:left;">
idp
</td>
<td style="text-align:right;">
1997
</td>
<td style="text-align:right;">
296795
</td>
<td style="text-align:left;">
Afghanistan
</td>
<td style="text-align:left;">
Afghanistan
</td>
</tr>
</tbody>
</table>
<p>By default, <code><a href="../reference/unref.html">unref()</a></code> selects all years and all affected populations, but the user can specify populations and years of interest by using the <code>groups</code> and <code>range</code> options. For example, specifying <code>groups = c('asylum', 'ref')</code> and <code>range = c(2000,2017)</code> will only process refugees between 2000 and 2017.</p>
<div class="sourceCode" id="cb9"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb9-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'ref'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2000</span>, <span class="dv">2017</span>))</a></code></pre></div>
<p>Lastly, <code><a href="../reference/unref.html">unref()</a></code> provides 2 additional logical switches; <code>wide</code> and <code>sum</code>. By default, <code><a href="../reference/unref.html">unref()</a></code> returns long data frames. This is most conventient for plotting and modeling, however, sometimes it’s interesting to explore data in wide form; especially time series data sets. Moreover, the <code>sum_groups</code> option will aggregate the totals across all specified groups. Lets use these 2 switches to look at the sum of Syrian refugee and asylum seeking out-flows to Germany between 2014-2017 using <code>wide = TRUE</code>.</p>
<div class="sourceCode" id="cb10"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb10-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'ref'</span>, <span class="st">'asylum'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2014</span>, <span class="dv">2017</span>), <span class="dt">sum_groups=</span><span class="ot">TRUE</span>, <span class="dt">wide=</span><span class="ot">TRUE</span>)</a></code></pre></div>
<table class="table">
<thead><tr>
<th style="text-align:left;">
origin_iso
</th>
<th style="text-align:left;">
destination_iso
</th>
<th style="text-align:left;">
origin
</th>
<th style="text-align:left;">
destination
</th>
<th style="text-align:right;">
2014
</th>
<th style="text-align:right;">
2015
</th>
<th style="text-align:right;">
2016
</th>
<th style="text-align:right;">
2017
</th>
</tr></thead>
<tbody><tr>
<td style="text-align:left;">
SYR
</td>
<td style="text-align:left;">
DEU
</td>
<td style="text-align:left;">
Syrian Arab Rep.
</td>
<td style="text-align:left;">
Germany
</td>
<td style="text-align:right;">
70585
</td>
<td style="text-align:right;">
197186
</td>
<td style="text-align:right;">
475649
</td>
<td style="text-align:right;">
567507
</td>
</tr></tbody>
</table>
</div>
<div id="static-grouped-flows" class="section level2">
<h2 class="hasAnchor">
<a href="#static-grouped-flows" class="anchor"></a>Static Grouped Flows</h2>
<p>With more than 100,000 unique country-country-year records, outflows, inflows, and varying populations of interest, visualizing the UNHCR can be overwhelming. The <code>untools</code> packages provides multiple default plotting functions objects produced by the <code><a href="../reference/unref.html">unref()</a></code> function. An easy launching point to investigate flows between countries are static barplots of dyadic flows in or out of a target country. Using <code><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot()</a></code> on an object produced by <code><a href="../reference/unref.html">unref()</a></code> with <code>sum_groups = TRUE</code> will produce a barplot for the target country and the top 8 destination or origin countries. The user specifies the country of interest, a year of interest, and whether they want to view inflows (<code>mode = 'in'</code>) or outflows (<code>mode = 'out'</code>). Let’s start by viewing asylum seeking inflows to the United States in 2013.</p>
<div class="sourceCode" id="cb11"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb11-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'asylum'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2012</span>, <span class="dv">2017</span>))</a>
<a class="sourceLine" id="cb11-2" data-line-number="2">usa.in&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">'USA'</span>, <span class="dt">mode =</span> <span class="st">'in'</span>, <span class="dt">yr =</span> <span class="dv">2013</span>)</a></code></pre></div>
<p><img src="explore-unhcr_files/figure-html/unnamed-chunk-14-1.png" width="700"></p>
<p>Somewhat surprisingly, China tops the list, while Central America rounds out the rest of the top 5. By default, <code><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot()</a></code> will list up to 8 countries using the maximum year in the dataset (currently 2017). Similarly, we can view asylum seeking outflows from the Philippines in 2017.</p>
<div class="sourceCode" id="cb12"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb12-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'asylum'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2012</span>, <span class="dv">2017</span>))</a>
<a class="sourceLine" id="cb12-2" data-line-number="2">phl.out&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">'PHL'</span>, <span class="dt">mode =</span> <span class="st">'out'</span>)</a></code></pre></div>
<p><img src="explore-unhcr_files/figure-html/unnamed-chunk-15-1.png" width="700"></p>
</div>
<div id="stacked-static-flows-by-population-type" class="section level2">
<h2 class="hasAnchor">
<a href="#stacked-static-flows-by-population-type" class="anchor"></a>Stacked Static Flows by Population Type</h2>
<p>Up until this point we’ve visualized cumulative migrant flows across all groups or a singular group, but it may be of interest to examine relative proportions of asylum seekers, refugees, and stateless persons. The <code>untools</code> package provides default plotting functions to visualize stacked bar charts of migrant inflows or outflows by groups. Let’s re-examine inflows of migrants to the USA in 2017, but this time include breakdowns by type. To maintain effected population breakdowns specify <code>sum_groups = FALSE</code>.</p>
<div class="sourceCode" id="cb13"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb13-1" data-line-number="1">unhcr.stacked&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'asylum'</span>, <span class="st">'ref'</span>,<span class="st">'stateless'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2000</span>, <span class="dv">2017</span>), <span class="dt">sum_groups =</span> <span class="ot">FALSE</span>)</a>
<a class="sourceLine" id="cb13-2" data-line-number="2">usa.stacked.in&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(unhcr.stacked, <span class="dt">country =</span> <span class="st">'USA'</span>, <span class="dt">mode =</span> <span class="st">'in'</span>)</a></code></pre></div>
<p><img src="explore-unhcr_files/figure-html/unnamed-chunk-16-1.png" width="700"></p>
</div>
<div id="plotting-time-series" class="section level2">
<h2 class="hasAnchor">
<a href="#plotting-time-series" class="anchor"></a>Plotting Time Series</h2>
<p>Although static plots of migrant flows are interesting, it’s often more illuminating to examing time series data for migrant inflows and outflows. The <code>untools</code> package also provides default plotting functions to visualize time series migrant flows for data frames produced with the <code><a href="../reference/unref.html">unref()</a></code> using <code>sum_groups = TRUE</code>. The default plotting function will produce a plot for all years present in the raw data using the 5 countries with the highest totals in the maximum year of the dataset. Let’s view annual cumulative refugee and asylum seeking in-flows to the USA from 2000-2017.</p>
<div class="sourceCode" id="cb14"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb14-1" data-line-number="1">unhcr.ts.dante&lt;-<span class="kw"><a href="../reference/unref.html">unref</a></span>(unhcr.ts, <span class="dt">groups =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="st">'asylum'</span>, <span class="st">'ref'</span>), <span class="dt">range =</span> <span class="kw"><a href="https://www.rdocumentation.org/packages/base/topics/c">c</a></span>(<span class="dv">2000</span>, <span class="dv">2017</span>), <span class="dt">sum_groups =</span> <span class="ot">TRUE</span>)</a>
<a class="sourceLine" id="cb14-2" data-line-number="2">usa.ts.in&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">'USA'</span>, <span class="dt">mode =</span> <span class="st">'in'</span>)</a></code></pre></div>
<p><img src="explore-unhcr_files/figure-html/unnamed-chunk-17-1.png" width="700"></p>
<p>Lastly, similar to the static default plotting functions, we can specify <code>mode = 'out'</code> to view outflows from a given country.</p>
<div class="sourceCode" id="cb15"><pre class="sourceCode r"><code class="sourceCode r"><a class="sourceLine" id="cb15-1" data-line-number="1">phl.ts.out&lt;-<span class="kw"><a href="https://www.rdocumentation.org/packages/graphics/topics/plot">plot</a></span>(unhcr.ts.dante, <span class="dt">country =</span> <span class="st">'PHL'</span>, <span class="dt">mode =</span> <span class="st">'out'</span>)</a></code></pre></div>
<p><img src="explore-unhcr_files/figure-html/unnamed-chunk-18-1.png" width="700"></p>
</div>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
        <div id="tocnav">
      <h2 class="hasAnchor">
<a href="#tocnav" class="anchor"></a>Contents</h2>
      <ul class="nav nav-pills nav-stacked">
<li><a href="#introduction">Introduction</a></li>
      <li><a href="#exploring-the-data">Exploring the Data</a></li>
      <li>
<a href="#untools-functions-for-unhcr-data"><em>untools</em> Functions for UNHCR Data</a><ul class="nav nav-pills nav-stacked">
<li><a href="#the-unref-function">The <em>unref</em> Function</a></li>
      <li><a href="#static-grouped-flows">Static Grouped Flows</a></li>
      <li><a href="#stacked-static-flows-by-population-type">Stacked Static Flows by Population Type</a></li>
      <li><a href="#plotting-time-series">Plotting Time Series</a></li>
      </ul>
</li>
      </ul>
</div>
      </div>

</div>


      <footer><div class="copyright">
  <p>Developed by Joshua Brinks.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.3.0.</p>
</div>
      </footer>
</div>

  

  </body>
</html>
